import { format } from 'date-fns';
import type jsPDF from 'jspdf';

export function printHeader(doc: jsPDF) {
	doc.setFontSize(17);
	doc.text(
		'Walne zgromadzenie stowarzyszenia „Warszawski Hackerspace”',
		doc.internal.pageSize.getWidth() * 0.5,
		doc.internal.pageSize.getHeight() * 0.05,
		{
			align: 'center'
		}
	);
}

export function placeDate() {
	const now = new Date();
	return `Warszawa, ${format(now, 'yyyy-MM-dd')}`;
}

export function printPlaceDate(doc: jsPDF) {
	doc.setFontSize(10);
	doc.text(placeDate(), doc.internal.pageSize.getWidth() * 0.95, 7, {
		align: 'right'
	});
}
